org.jgrapht.graph

## Class AbstractBaseGraph.DirectedEdgeContainer<VV,EE>

- java.lang.Object
- - org.jgrapht.graph.AbstractBaseGraph.DirectedEdgeContainer<VV,EE>

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    AbstractBaseGraph<V,E>

      protected static class AbstractBaseGraph.DirectedEdgeContainer<VV,EE>
      extends Object
      implements Serializable

  A container for vertex edges.

  In this edge container we use array lists to minimize memory toll. However, for high-degree vertices we replace the entire edge container with a direct access subclass (to be implemented).

  Author:
    Barak Naveh
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIncomingEdge(EE e)` .
    `void` | `addOutgoingEdge(EE e)` .
    `Set<EE>` | `getUnmodifiableIncomingEdges()` A lazy build of unmodifiable incoming edge set.
    `Set<EE>` | `getUnmodifiableOutgoingEdges()` A lazy build of unmodifiable outgoing edge set.
    `void` | `removeIncomingEdge(EE e)` .
    `void` | `removeOutgoingEdge(EE e)` .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getUnmodifiableIncomingEdges

          public Set<EE> getUnmodifiableIncomingEdges()

      A lazy build of unmodifiable incoming edge set.
      Returns:

    - #### getUnmodifiableOutgoingEdges

          public Set<EE> getUnmodifiableOutgoingEdges()

      A lazy build of unmodifiable outgoing edge set.
      Returns:

    - #### addIncomingEdge

          public void addIncomingEdge(EE e)

      .
      Parameters:
        `e` -

    - #### addOutgoingEdge

          public void addOutgoingEdge(EE e)

      .
      Parameters:
        `e` -

    - #### removeIncomingEdge

          public void removeIncomingEdge(EE e)

      .
      Parameters:
        `e` -

    - #### removeOutgoingEdge

          public void removeOutgoingEdge(EE e)

      .
      Parameters:
        `e` -

Copyright © 2016. All rights reserved.